### Function

# FwupdPlugin Firmware add_image_gtype

since: 2.1.6

#### Declaration [src]

    void
    fu_firmware_add_image_gtype (
      FuFirmwareClass* klass,
      GType type
    )

#### Description [src]

Adds a possible image GType.

Available since: 2.1.6

#### Parameters

`klass`

  Type: `FuFirmwareClass`

  A `FuFirmwareClass`.

  The data is owned by the caller of the function.

`type`

  Type: `GType`

  A `GType`, e.g. `FU_TYPE_ELF_FIRMWARE`.